package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.Cursor;

/**
 * Dieses Command setzt den Crosshair-Cursor beim Eintritt in das Map-Window.
 * @author zimmermann
 *
 */
public class MapCmdMouseEntered implements Command {
	
	// Attribute
	Map map = null;
	
	// Konstruktor
	public MapCmdMouseEntered(Map map) {
		super();
		this.map = map;
	}
	
	@Override
	public void execute() {
		this.map.getPanel().setCursor(new Cursor(Cursor.CROSSHAIR_CURSOR));
	}

}
