package de.hsbo.fbv.bmg.graphics.viewer.commands;

import java.awt.Cursor;

/**
 * Dieses Command setzt den Standard-Cursor beim Verlassen des Map-Windows.
 * @author zimmermann
 *
 */
public class MapCmdMouseExited implements Command {
	
	// Attribute
	Map map = null;
	
	// Konstruktor
	public MapCmdMouseExited(Map map) {
		super();
		this.map = map;
	}
	
	@Override
	public void execute() {
		this.map.getPanel().setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
		this.map.getFrame().setTitle("Cursor lost!");
		this.map.getFrame().repaint();
	}

}
